Package proton :: Class Delivery

[frames] | no frames]

# Class Delivery

source code

         object --+
                  |
    wrapper.Wrapper --+
                      |
                     Delivery

Tracks and/or records the delivery of a message over a link.

Instance Methods

__init__(self, impl) x.__init__(...) initializes x; see help(type(x)) for signature | source code

settle(self) Settles the delivery locally. | source code

update(self, state) Set the local state of the delivery e.g. | source code

Inherited from `wrapper.Wrapper`: `__del__`, `__delattr__`, `__eq__`, `__getattr__`, `__hash__`, `__ne__`, `__repr__`, `__setattr__` Inherited from `object`: `__format__`, `__getattribute__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods

wrap(impl) | source code

Class Variables
| ACCEPTED = `ACCEPTED`
| MODIFIED = `MODIFIED`
| RECEIVED = `RECEIVED`
| REJECTED = `REJECTED`
| RELEASED = `RELEASED`

Properties
| connection Returns the connection over which the delivery was sent or received.
| link Returns the link on which the delivery was sent or received.
| local_state Returns the local state of the delivery.
| partial Returns true for an incoming delivery if not all the data is yet available.
| pending
| readable Returns true for an incoming delivery that has data to read.
| remote_state Returns the state of the delivery as indicated by the remote peer.
| session Returns the session over which the delivery was sent or received.
| settled Returns true if the delivery has been settled by the remote peer.
| tag The identifier for the delivery.
| transport
| updated Returns true if the state of the delivery has been updated (e.g.
| work_next
| writable Returns true for an outgoing delivery to which data can now be written.
Inherited from `object`: `__class__`

Method Details

### __init__(self, impl)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### settle(self)

source code

Settles the delivery locally. This indicates the aplication considers the delivery complete and does not wish to receive any further events about it. Every delivery should be settled locally.

### update(self, state)

source code

Set the local state of the delivery e.g. ACCEPTED, REJECTED, RELEASED.

Property Details

### connection

Returns the connection over which the delivery was sent or received.

Get Method:
  unreachable.connection(self) - Returns the connection over which the delivery was sent or received.

### link

Returns the link on which the delivery was sent or received.

Get Method:
  unreachable.link(self) - Returns the link on which the delivery was sent or received.

### local_state

Returns the local state of the delivery.

Get Method:
  unreachable.local_state(self) - Returns the local state of the delivery.

### partial

Returns true for an incoming delivery if not all the data is yet available.

Get Method:
  unreachable.partial(self) - Returns true for an incoming delivery if not all the data is yet available.

### pending

Get Method:
  unreachable.pending(self)

### readable

Returns true for an incoming delivery that has data to read.

Get Method:
  unreachable.readable(self) - Returns true for an incoming delivery that has data to read.

### remote_state

Returns the state of the delivery as indicated by the remote peer.

Get Method:
  unreachable.remote_state(self) - Returns the state of the delivery as indicated by the remote peer.

### session

Returns the session over which the delivery was sent or received.

Get Method:
  unreachable.session(self) - Returns the session over which the delivery was sent or received.

### settled

Returns true if the delivery has been settled by the remote peer.

Get Method:
  unreachable.settled(self) - Returns true if the delivery has been settled by the remote peer.

### tag

The identifier for the delivery.

Get Method:
  unreachable.tag(self) - The identifier for the delivery.

### transport

Get Method:
  unreachable.transport(self)

### updated

Returns true if the state of the delivery has been updated (e.g. it has been settled and/or accepted, rejected etc).

Get Method:
  unreachable.updated(self) - Returns true if the state of the delivery has been updated (e.g.

### work_next

Get Method:
  unreachable.work_next(self)

### writable

Returns true for an outgoing delivery to which data can now be written.

Get Method:
  unreachable.writable(self) - Returns true for an outgoing delivery to which data can now be written.